#pragma once
#include <map>
struct M_StarLotteryRateCFGData
{
	//上区间
	int mUpRange;
	//每日衰减
	int mDailyRate;
	//总衰减
	int mTotalRate;
};

class M_StarLotteryRateCFG
{
public:
private:
	static std::auto_ptr<M_StarLotteryRateCFG> msSingleton;
public:
	int GetCount();
	const M_StarLotteryRateCFGData* GetData(int UpRange);
	const std::map<int, M_StarLotteryRateCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_StarLotteryRateCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_StarLotteryRateCFGData> mMapData;
};
